# Uses of Class
java.util.jar.Attributes

Packages that use Attributes
Package
Description
java.net
Provides the classes for implementing networking applications.
java.util.jar
Provides classes for reading and writing the JAR (Java ARchive) file format, which is based on the standard ZIP file format with an optional manifest file.

## Uses of Attributes in java.net

Methods in java.net that return Attributes
Modifier and Type
Method
Description
`Attributes`
JarURLConnection.`getAttributes()`
Return the Attributes object for this connection if the URL for it points to a JAR file entry, null otherwise.
`Attributes`
JarURLConnection.`getMainAttributes()`
Returns the main Attributes for the JAR file for this connection.

## Uses of Attributes in java.util.jar

Methods in java.util.jar that return Attributes
Modifier and Type
Method
Description
`Attributes`
JarEntry.`getAttributes()`
Returns the `Manifest` `Attributes` for this entry, or `null` if none.
`Attributes`
Manifest.`getAttributes(String name)`
Returns the Attributes for the specified entry name.
`Attributes`
Manifest.`getMainAttributes()`
Returns the main Attributes for the Manifest.
Methods in java.util.jar that return types with arguments of type Attributes
Modifier and Type
Method
Description
`Map<String, Attributes>`
Manifest.`getEntries()`
Returns a Map of the entries contained in this Manifest.
Constructors in java.util.jar with parameters of type Attributes
Modifier
Constructor
Description
``
`Attributes(Attributes attr)`
Constructs a new Attributes object with the same attribute name-value mappings as in the specified Attributes.